"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.templateProcessor = exports.templateDirectives = exports.templateSingleTagNames = exports.supportGlobalComponents = exports.projectConfigFiles = exports.compileScriptTarget = exports.compileModuleKind = exports.defaultOutputDir = exports.isSupportSjsContent = exports.sjsModuleAttrName = exports.sjsSrcAttrName = exports.sjsTagName = exports.defaultConditionalFileExt = exports.defaultNpmMiniProgramDist = exports.resolveMainFields = exports.globalObject = exports.fileType = exports.targetDescription = exports.target = void 0;
const utils_1 = require("@morjs/utils");
exports.target = 'wechat';
exports.targetDescription = '微信小程序';
exports.fileType = {
    template: '.wxml',
    style: '.wxss',
    config: '.json',
    script: '.js',
    sjs: '.wxs'
};
exports.globalObject = 'wx';
exports.resolveMainFields = ['wechat', 'miniprogram', 'main'];
exports.defaultNpmMiniProgramDist = 'miniprogram_dist';
exports.defaultConditionalFileExt = '.wx';
exports.sjsTagName = 'wxs';
exports.sjsSrcAttrName = 'src';
exports.sjsModuleAttrName = 'module';
exports.isSupportSjsContent = true;
exports.defaultOutputDir = 'dist/wechat';
exports.compileModuleKind = utils_1.CompileModuleKind.CommonJS;
exports.compileScriptTarget = utils_1.CompileScriptTarget.ES5;
exports.projectConfigFiles = ['project.wechat.json', 'project.config.json'];
exports.supportGlobalComponents = true;
exports.templateSingleTagNames = [];
exports.templateDirectives = {
    if: 'wx:if',
    elseIf: 'wx:elif',
    else: 'wx:else',
    for: 'wx:for',
    forItem: 'wx:for-item',
    forIndex: 'wx:for-index',
    key: 'wx:key'
};
/**
 * 自定义 template 处理
 */
exports.templateProcessor = {};
//# sourceMappingURL=constants.js.map